CLEAR ALL
TILESET 1 NEW "NES"
TILEMAP 1 NEW 80,50,1
SPRITE 1 BIND TILEMAP 1 SHOW FIT
TARGET TILEMAP 1
c=FILE.LINECOUNT("Alice.txt")
DIM t$(c)
n=FREEFILE
OPEN "Alice.txt" FOR INPUT AS #n
FOR i=0 TO c-1
    INPUT #n,t$(i)
NEXT i
CLOSE n
y=49
FOR i=0 TO c-1
    SCROLL TILEMAP UP 1
    PUT TILES 0,y,t$(i)
    PAUSE
    IF INKEY$=CHR$(27) THEN EXIT FOR
    WHILE KEY.DOWN(VK_SPACE):WEND
NEXT i
